Donate Now Goal amount for this year: 2500 USD, Received: 1627 USD (65%)

Page 1 of 2 12 LastLast
Results 1 to 10 of 12
Like Tree12Likes

Thread: "disallow join" via dynamo

  1. #1
    Member
    Join Date
    November 18, 2013
    Location
    Germany
    Posts
    107
    Current Local Time
    02:37 AM

    "disallow join" via dynamo


    Hello,

    It seems to be so simple...!

    I would like to put all my start and endpoints of my walls to "disallow Join"

    How the hell get I fixed that? It is easy to select the walls. How can I catch the properties via dynamo to change it.
    Manually it is just a right-click to a menu...

    ...how can I catch it with dynamo?

    I am glad about any advise, or a small .dyn script

    KR

    Andreas
    Attached Thumbnails Attached Thumbnails "disallow join" via dynamo-auswahl-der-wand.jpg   "disallow join" via dynamo-verbindung-nicht-zulassen.jpg  
    Attached Files Attached Files
    Last edited by andreasdraxl; July 22nd, 2017 at 01:35 PM.

  2. #2
    Senior Member amoursol's Avatar
    Join Date
    November 21, 2012
    Location
    London, United Kingdom
    Posts
    612
    Current Local Time
    03:37 AM
    Hello Andreas,

    The following graph will do what you require



    They Python code is as follows:

    [Allow Joins]



    [Disallow Joins]

    Attached Thumbnails Attached Thumbnails "disallow join" via dynamo-revitforumquery_allowdisallowjoins.jpg   "disallow join" via dynamo-revitforumquery_allowpython.jpg   "disallow join" via dynamo-revitforumquery_disallowpython.jpg  

  3. #3
    Member
    Join Date
    November 18, 2013
    Location
    Germany
    Posts
    107
    Current Local Time
    02:37 AM

    Talking Errors

    Hello,

    Thank you very much! for this straigt help!

    In spite of that, I have still some trouble:

    I rebuilt your Tree and the pyton script, but I get errors

    Script:

    import
    clr
    clr.AddReference('RevitServices')
    import RevitServices
    from RevitServices.Persistence import DocumentManager
    from RevitServices.Transactions import TransactionManager
    clr.AddReference('RevitAPI')
    from Autodesk.Revit.DB import WallUtils
    doc = DocumentManager.Instance.CurrentDBDocument
    Walls = UnwrapElement(IN[0])
    success, failure = [],[]
    for wall in walls:
    try:
    TransactionManager.Instance.EnsureInTransaction(do c)
    WallUtils.AllowWallJoinAtEnd(wall,0)
    WallUtils.AllowWallJoinAtEnd(wall,1)
    TransactionManager.Instance.TransactuinTaskDone()
    success.append(wall)
    except:
    Failure.append("Failure: Element category" +str
    (wall.Category.Name))
    OUT = (Success,failure)
    Attached Thumbnails Attached Thumbnails "disallow join" via dynamo-disallow_.jpg   "disallow join" via dynamo-error_1.jpg   "disallow join" via dynamo-error_1.jpg  
    Attached Files Attached Files
    Last edited by andreasdraxl; July 23rd, 2017 at 09:57 AM.

  4. #4
    Senior Member amoursol's Avatar
    Join Date
    November 21, 2012
    Location
    London, United Kingdom
    Posts
    612
    Current Local Time
    03:37 AM
    Use 'l' (The letter), not '1' (The number) in the Count

    When you are doing the code, you need to pay a lot of attention to Capitalisation and indentation.

    The error is because you have capitalised one 'Walls' and not the one in the following line:

    for wall in walls:

    If you go back and uncapitalise one - or capitalise the other - it should work. Please go over my code line by line and it should be fine!
    Last edited by amoursol; July 23rd, 2017 at 10:29 AM.
    cganiere, uaifestival and Mengelmn like this.

  5. #5
    Member
    Join Date
    November 18, 2013
    Location
    Germany
    Posts
    107
    Current Local Time
    02:37 AM

    it worked

    Thank you! So it worked!

    in both directions
    amoursol likes this.

  6. #6
    Member
    Join Date
    November 18, 2013
    Location
    Germany
    Posts
    107
    Current Local Time
    02:37 AM

    API list

    Is there a list of all API utils

    Can I import everthing f.e. floor.utils ... door.utils...

    Is there a forum for API programming?

    Is there maybe literature?

    I did just the "Code Academy" regarding Python

    KR

    Andreas

  7. #7
    Senior Member amoursol's Avatar
    Join Date
    November 21, 2012
    Location
    London, United Kingdom
    Posts
    612
    Current Local Time
    03:37 AM
    Not that I've found yet sorry, but you can use

    revitapidocs.com
    and search for things If you simply use the keyword 'utils' it should pop up things.

    Download the Revit SDK (Software Development Kit) and use that in conjunction with the website above.

    There is a Revit API forum, but I don't really use it (As my focus is upon Dynamo right now), so I use a lot of the Developers section of the Dynamo Forums.

  8. #8
    New Member
    Join Date
    August 16, 2017
    Posts
    1
    Current Local Time
    07:37 PM
    Further Q:
    Hello,

    Thank you for your scripts.
    I notice that the function only works when there is a corner. What I want is to turn off the "wall" join status using Dynamo, so that I can draw separated walls continuously following a line.

    Thanks,

    Kemp

  9. #9
    New Member
    Join Date
    February 8, 2016
    Posts
    2
    Current Local Time
    04:37 AM
    Hi amoursol,
    i have tried the scrip but i got the following warning:




    import clr

    clr.AddReference('RevitServices')

    import RevitServices

    from RevitServices.Persistence import DocumentManager
    from RevitServices.Transactions import TransactionManager

    clr.AddReference('RevitAPI')
    from Autodesk.Revit.DB import WallUtils

    doc = DocumentManager.Instance.CurrentDBDocument

    walls = UnwrapElement(IN[0])

    success,failure = [],[]

    for wall in walls:
    try:
    TransactionManager.Instance.EnsureInTransaction(doc)
    WallUtils.DisallowWallJoinAtEnd(wall,0)
    WallUtils.DisallowWallJoinAtEnd(wall,1)
    TransactionManager.Instance.TransactionTaskDone()
    success.append(wall)
    except:
    failure.append("Failure: Element category" +str
    (wall.Category.Name))


    OUT = (success,failure)
    Attached Thumbnails Attached Thumbnails "disallow join" via dynamo-1.jpg  

  10. #10
    Senior Member amoursol's Avatar
    Join Date
    November 21, 2012
    Location
    London, United Kingdom
    Posts
    612
    Current Local Time
    03:37 AM
    Hello Mjkayali,

    Please go over my post higher up in the graph - indentation matters a lot in Python, so double check the code inside your node matches mine

Page 1 of 2 12 LastLast

Similar Threads

  1. Replies: 0
    Last Post: November 14th, 2016, 09:17 PM
  2. "Join" two floor slabs of different materials, without the line where they join?
    By kescr in forum Architecture and General Revit Questions
    Replies: 7
    Last Post: September 15th, 2014, 01:17 AM
  3. "Element's internal join data is corrupt." - What's that all about?
    By Stuntmonkee in forum Architecture and General Revit Questions
    Replies: 3
    Last Post: January 12th, 2012, 06:56 PM
  4. beam/column join to create "rigid frame"
    By Scott Webb in forum Structure - General Questions
    Replies: 2
    Last Post: April 28th, 2011, 05:29 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •